### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-message/ecl-message.component.ts`

### Metadata

selector | `ecl-message`
templateUrl | `./ecl-message.component.html`

### Index

###### Methods
getIcon onCloseClick
###### Inputs
isCloseable isVisible styleClass title typeClass
###### Outputs
close
###### HostBindings
class.ecl-u-d-none

### Inputs

isCloseable
Type : `boolean`
Default value : `true`

isVisible
Type : `boolean`
Default value : `true`

styleClass
Type : `string`

title
Type : `string`

typeClass
Type : `string`
Default value : `'info'`

### Outputs

close
Type : `EventEmitter`

### HostBindings

class.ecl-u-d-none

### Methods

getIcon
`getIcon()`
Returns : `"notifications--information" | "notifications--success" | "notifications--warning" | "notificatio...`

onCloseClick
`onCloseClick(evt: Event)`
Parameters :
Name | Type | Optional
evt | `Event` | No
Returns : `void`

# result-matching ""

# No results matching ""